package Sah::SchemaR::firefox::local_profile_name;

our $DATE = '2020-06-04'; # DATE
our $VERSION = '0.002'; # VERSION

our $rschema = ["str",[{examples=>[{valid=>0,value=>""},{valid=>1,value=>"standard"}],min_len=>1,summary=>"Firefox profile name","x.completion"=>"firefox_profile_name"},{examples=>[{test=>0,valid=>0,value=>""},{summary=>"Assuming the default profile name exists in local Firefox installation",test=>0,valid=>1,value=>"default"}],prefilters=>["Firefox::check_profile_name_exists"],summary=>"Firefox profile name, must exist in local Firefox installation"}],["firefox::profile_name","str"]];

1;
# ABSTRACT: Firefox profile name, must exist in local Firefox installation

__END__

=pod

=encoding UTF-8

=head1 NAME

Sah::SchemaR::firefox::local_profile_name - Firefox profile name, must exist in local Firefox installation

=head1 VERSION

This document describes version 0.002 of Sah::SchemaR::firefox::local_profile_name (from Perl distribution Sah-Schemas-Firefox), released on 2020-06-04.

=head1 DESCRIPTION

This module is automatically generated by Dist::Zilla::Plugin::Sah::Schemas during distribution build.

A Sah::SchemaR::* module is useful if a client wants to quickly lookup the base type of a schema without having to do any extra resolving. With Sah::Schema::*, one might need to do several lookups if a schema is based on another schema, and so on. Compare for example L<Sah::Schema::poseven> vs L<Sah::SchemaR::poseven>, where in Sah::SchemaR::poseven one can immediately get that the base type is C<int>. Currently L<Perinci::Sub::Complete> uses Sah::SchemaR::* instead of Sah::Schema::* for reduced startup overhead when doing tab completion.

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/Sah-Schemas-Firefox>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-Sah-Schemas-Firefox>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=Sah-Schemas-Firefox>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2020 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
